﻿using Borepin.Model;
using Borepin.ViewModel;
using Prism.Mvvm;
using System.Collections.Generic;
using System.Windows.Input;
using Xamarin.Forms;

namespace Borepin.PageModel
{
    public class ListPageModel : BindableBase
    {
        public ListPageModel()
        {
            ListItemViewModel_List = new List<ListItemViewModel>()
            {
                new ListItemViewModel(
                new ListItem()
                {
                    Value1 = "ListItem 1"
                }),

                new ListItemViewModel(
                new ListItem()
                {
                    Value1 = "ListItem 2"
                }),

                new ListItemViewModel(
                new ListItem()
                {
                    Value1 = "ListItem 3"
                }),
            };

            SelectListItemCommand = new Command<object>(SelectListItemCommandExecuted);
        }

        private List<ListItemViewModel> _ListItemViewModel_List;
        public List<ListItemViewModel> ListItemViewModel_List
        {
            get => _ListItemViewModel_List;
            set => SetProperty(ref _ListItemViewModel_List, value);
        }

        private ICommand _SelectListItemCommand;
        public ICommand SelectListItemCommand
        {
            get => _SelectListItemCommand;
            set => SetProperty(ref _SelectListItemCommand, value);
        }

        private void SelectListItemCommandExecuted(object obj)
        {
            System.Diagnostics.Debugger.Break();
        }
    }
}
